gnutls_x509_crl_get_crt_serial(3)

NAME
gnutls_x509_crl_get_crt_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_crt_serial(gnutls_x509_crl_t crl, unsigned indx, unsigned char * serial, size_t * serial_size, time_t * t);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

unsigned indx
    the index of the certificate to extract (starting from 0)

unsigned char * serial
    where the serial number will be copied

size_t * serial_size
    initially holds the size of serial

time_t * t
    if non null, will hold the time this certificate was revoked

DESCRIPTION
This function will retrieve the serial number of the specified, by the index, revoked certificate.

Note that this function will have performance issues in large sequences of revoked certificates. In that case use gnutls_x509_crl_iter_crt_serial().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/